<?
require_once '../core/system.php';
echo only_reg();
$header = 'Смена ника';
require_once H.'core/head.php';
switch($act) {
case 'post':
if(isset($_POST['nick'])){
$nick = check($_POST['nick']);
if(strlen($nick) < 3 or strlen($nick) > 30) $err =  'Длина ника должна быть в пределах 3 - 20 символов';
if(mysql_result(mysql_query("SELECT COUNT(*)  FROM `user` WHERE `nick` = '$nick'"),0) == true) $err = 'Игрок с таким ником уже существует, выбирете другой';
if($user[gold] < 500) $err =  'Недостаточно золота!';
if(!isset($err)) {
mysql_query("UPDATE `user` SET `gold` = '".($user['gold']-500)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `nick` = '".$nick."' WHERE `id` = '$user[id]' LIMIT 1");
setcookie('nick', $nick, time()+86400*365, '/');
header('Location: /change_name');
$_SESSION['message'] = 'Ник изменен!';
exit();
}else{
header('Location: /change_name');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
} 
}else{
header('Location: /change_name');
$_SESSION['err'] = 'Введите ник';
exit();
}
break;
default:
echo '<form class="player" method="post" action="?act=post">
Введи желаемый ник<br />
<input class="text large" type="text" name="nick" /><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Изменить">Изменить</span></span>
</form>';
}
require_once H.'core/foot.php';
?>